Type to search.

Bulk install packages

Base URL
https://{kibana_url}
  • POST /api/fleet/epm/packages/_bulk
  • POST /s/{space_id}/api/fleet/epm/packages/_bulk
Auth

Install multiple packages from the Elastic Package Registry in a single request.

Required privileges

Privileges integrations-all and fleet-agent-policies-all

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

prerelease boolean

When true, allow installing prerelease versions

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

acknowledge_breaking_changes boolean · default: false The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.5 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

When true, acknowledge the breaking changes listed in the package changelog for the versions being upgraded. Without it, an upgrade whose version range includes breaking changes is rejected. The force flag does not bypass this check.

allow_outdated_version boolean · default: false

When true, allow installing a version older than the latest available. Bypasses only the out-of-date version check.

force boolean · default: false
packages union anyOf[] · min items: 1 · max items: 1000 required
Any of:

Responses

Successful response

application/json
items union anyOf[] · max items: 10000 required
Any of:
name string required
result object required
assets union anyOf[] · max items: 10000
Any of:
deferred boolean
id string required
originId string
type union enum | string required
Values: dashboard lens visualization search index-pattern map ml-module security-rule csp-rule-template osquery-pack-asset osquery-saved-query tag
error object required
installSource string
installType string required
status enum
Values: installed already_installed
version string required